Pb installation : Surface Evolver

La question :

Bonsoir,
Je dois installer Surface Evolver pour faire de la simulation, mais je
nevois pas trop comment faire.
Le "make" ne marche pas et je ne comprends pas grand chose au fichier
d'aide.
Si quelqu'un voit une solution je suis preneur,
Merci d'avance!!

Le lien pour SE : http://www.susqu.edu/brakke/evolver/evolver.htm
Et la commande "make" me renvoit l'erreur suivante :
xgraph.c:56:22: erreur: X11/Xlib.h : Aucun fichier ou répertoire de ce type
xgraph.c:58: erreur: syntax error before ‘*’ token

Poser votre question sur le forum OS alternatifs

Les 3 réponses :

chtitecreme a écrit :


Bonsoir,
Je dois installer Surface Evolver pour faire de la simulation, mais je
nevois pas trop comment faire.
Le "make" ne marche pas et je ne comprends pas grand chose au fichier
d'aide.
Si quelqu'un voit une solution je suis preneur,
Merci d'avance!!

Le lien pour SE : http://www.susqu.edu/brakke/evolver/evolver.htm
Et la commande "make" me renvoit l'erreur suivante :
xgraph.c:56:22: erreur: X11/Xlib.h : Aucun fichier ou répertoire de ce type
xgraph.c:58: erreur: syntax error before ‘*’ token


Oops j'ai oublié de préciser que je suis Kubuntu.
cordialement.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

chtitecreme a écrit :


chtitecreme a écrit :


Bonsoir,
Je dois installer Surface Evolver pour faire de la simulation, mais je
nevois pas trop comment faire.
Le "make" ne marche pas et je ne comprends pas grand chose au fichier
d'aide.
Si quelqu'un voit une solution je suis preneur,
Merci d'avance!!

Le lien pour SE : http://www.susqu.edu/brakke/evolver/evolver.htm
Et la commande "make" me renvoit l'erreur suivante :
xgraph.c:56:22: erreur: X11/Xlib.h : Aucun fichier ou répertoire de ce
type
xgraph.c:58: erreur: syntax error before ‘*’ token


Oops j'ai oublié de préciser que je suis Kubuntu.
cordialement.


Bonjour !
As tu edité le fichier makefile comme indiqué sur le site?
Je vais tenter de le compiler sur ma distrib et je te tiens au jus !

Cordialement,

- --
Cle GnuPG disponible sur http://www.keyserver.net (0xF01799DE)

La vie c'est comme un concombre...
des fois tu l'as dans la main...
des fois tu l'as dans l'cul !

Paul Presbois (Poète avant-gardiste)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEONQVcZw+B/AXmd4RA2gQAKCKu1nmkwxo/Bdt3H32rFPNXu5ZNACg1Qqm
Q3HzkLYQboKqWP6U8zFfk/o=
=V4o8
-----END PGP SIGNATURE-----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

chtitecreme a écrit :


chtitecreme a écrit :


Bonsoir,
Je dois installer Surface Evolver pour faire de la simulation, mais je
nevois pas trop comment faire.
Le "make" ne marche pas et je ne comprends pas grand chose au fichier
d'aide.
Si quelqu'un voit une solution je suis preneur,
Merci d'avance!!

Le lien pour SE : http://www.susqu.edu/brakke/evolver/evolver.htm
Et la commande "make" me renvoit l'erreur suivante :
xgraph.c:56:22: erreur: X11/Xlib.h : Aucun fichier ou répertoire de ce
type
xgraph.c:58: erreur: syntax error before ‘*’ token


Oops j'ai oublié de préciser que je suis Kubuntu.
cordialement.


Ok alors j'ai testé et si je modifie le fichier Makefile en
sélectionnant linux avec X11 j'obtiens effectivement la même erreur que
toi (pbm de lib x11).
J'ai testé en sélectionnant l'option linux sans carte graphique
"builtin" et la le make fonctionne et le prog est ok.

Donc retourne dans ton makefile et teste plusieurs config jusqu'à
trouver celle qui te correspond le mieux.

Cordialement,

- --
Cle GnuPG disponible sur http://www.keyserver.net (0xF01799DE)

La vie c'est comme un concombre...
des fois tu l'as dans la main...
des fois tu l'as dans l'cul !

Paul Presbois (Poète avant-gardiste)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEONmdcZw+B/AXmd4RA5afAKCIhMgUozI+hHX/DwRXXYAfpCYhaQCaA3S/
zJfwJKExDxYPPI3OCGXM1H8=
=zqgQ
-----END PGP SIGNATURE-----

Poser votre question sur le forum OS alternatifs

Questions similaires :

Raspberry Pi: installation d'une distribution sansécran

Le 08-02-2017, Kevin Denis nous expliquait dans fr.comp.os.linux.configuration () : J'ai fait la configuration dans /etc/network/interfaces J'ai finalement trouvé un écran, activé eth0 en auto, activé ssh et depuis tout roule: $ ssh pi@192.168.42.9 ...

Demande d'installation pénible...

Le 29/11/2016 à 11:07, Jean-Baptiste Faure a écrit : [...] C'est ce bug là : Bonne journée JBF [/color] Tu as raison, c'est ce bug. Je verrai à suivre les indications si je suis encore ennuyé. Mais comme j'ai supprimé le paquet qui me posait problème, je n'aurai peut-être rien d'autre à...

Installation de linux impossible

Le 11/11/16 à 18:01, serge bouc a écrit : Merci beaucoup à vous deux. J'ai transmis vos réponses, et ... on croise les doigts... ;-) Serge. [/color] Finalement, nous avons réussi à installer Ubuntu 16.04 en dual boot avec wind@*%, grâce à vos conseils, et au message #14 très détaillé de...

installation de LinuxMint 17-3

Nicolas George a écrit : Du coup t'es sorti de ta loge la bignole ? enfin depuis 2002 je veut dire??? merci sinon de m'avoir rappeler que le BNC ne servait pas qu'à la vid. Suivi à tout faire (et sinon tu peut passer de la 17-3 en 18, mais c'est en GUI chut) --

Installation et dépendances Paquet MariaDB 5.5

Le samedi 19 Mars 2016 à 19:29 par Sergio :[/color] () 0xcbcb082a1bb943db[/color][/color] trusty main' [/color] Bizarre, pour installer MariaDB (5.5), je n'ai pas eu à ajouter une repositery: C'est dans les dépôts "normaux" (trusty-update/universe) C'est peut-être ça, un conflit entre la...